package com.goafanti.common.dao;

import com.goafanti.common.model.TTaskLog;
import com.goafanti.order.bo.OutTTaskLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TTaskLogMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(TTaskLog record);

    int insertSelective(TTaskLog record);

    TTaskLog selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TTaskLog record);

    int updateByPrimaryKey(TTaskLog record);

	void updateDimissionTransfer(@Param("aid")String aid, @Param("transferId")String transferId);

    List<OutTTaskLog> selectByTid(Integer id);
}
